###    Holger Lutz Kern and Jens Hainmueller. "Electoral Balancing,
###    Divided Government, and Midterm Loss in German Elections"
###    Forthcoming 2006, Journal of Legislative Studies

### Requires fig1.dta, i.e. the dataset produced by fig1_data.do 
### 11/11/06


## Load Packages
library(foreign) 
library(lattice)

## Load Data
data<- read.dta("fig1.dta")
attach(data)

## Set Trellis Settings
background <- trellis.par.get("background")
background$col <- "white"
trellis.par.set("background", background)
# Reset data points to black
plot.symbol <- trellis.par.get("plot.symbol")
plot.symbol$col <- "black"
trellis.par.set("plot.symbol", plot.symbol)
# Reset boxplot elements to black
box.rectangle <- trellis.par.get("box.rectangle")
box.rectangle$col <- "black"
trellis.par.set("box.rectangle", box.rectangle)
box.umbrella <- trellis.par.get("box.umbrella")
box.umbrella$col <- "black"
trellis.par.set("box.umbrella", box.umbrella)

## Boxplot
bwplot(electionyear ~ stparvotech | ID , 
	data=data, aspect=1, 
	layout=c(1,2),
            xlab= list( label ="Federal government parties: Vote share changes in Land elections (percentage points)", cex=7/8), 
	      xlim=(-12:12),
            ylab= list(label = "Years since last Bundestag election", cex=7/8),            
            ylim=(0:5),
            
	panel = function(x,y)
		{ 
		panel.bwplot(x,y)
		panel.abline(v=0, col="red")
		}
	)


